
Foreman - Bug #4346

oVirt Compute Resource needs to be updated for rbovirt >0.0.21

02/14/2014 01:21 PM - Anonymous

Status: Closed   

Priority: High   

Assignee: Amos Benari   

Category: Compute resources   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Beginning with oVirt 3.4.0 beta 2 the CR connection does not work anymore, because the API changed (see Red Hat bugzilla

#1038053).

https://github.com/abenari/rbovirt/commit/137da3b4021b3e0ac20cd5d24f51827370b9acad got it working again for us.

However, after updating rbovirt to 0.0.22, creating a new VM is leading to

Failed to create a compute XXX-VM (oVirt) instance testxxx.xxx: undefined method `reload' for #<Ar

ray:0x00000008ada068>

/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:243:in `create_interfaces'

/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:115:in `create_vm'

/usr/share/foreman/app/models/concerns/orchestration/compute.rb:59:in `setCompute'

/usr/share/foreman/app/models/concerns/orchestration.rb:148:in `execute'

/usr/share/foreman/app/models/concerns/orchestration.rb:88:in `block in process'

/usr/share/foreman/app/models/concerns/orchestration.rb:80:in `each'

/usr/share/foreman/app/models/concerns/orchestration.rb:80:in `process'

/usr/share/foreman/app/models/concerns/orchestration.rb:18:in `on_save'

Checking rbovirt 0.0.23 with oVirt 3.3 is leading to the same backtrace.

Related issues:

Related to Foreman - Bug #4684: "undefined method `text' for nil:NilClass" er... Resolved 03/18/2014

Blocked by Foreman - Tracker #4582: Upgrade to fog > 1.20 Closed

History

#1 - 02/14/2014 01:22 PM - Anonymous

I propose pinning rbovirt to 0.0.21 for Foreman 1.4, so at least oVirt 3.3 is in working state.

#2 - 02/14/2014 01:25 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Amos Benari

#3 - 02/21/2014 09:38 PM - Andrew Lau

Post help from Michael on the IRC channel, my findings are as follows:

Upgrading to rbovirt 0.0.23 will fix the issue with the compute resource but will then break the ability to edit VMs with this error:

Warning!

undefined method `_delete' for #

 Full Trace:

NoMethodError

undefined method `_delete' for #<OVIRT::Interface:0x007f8ed0f43920>
https://github.com/abenari/rbovirt/commit/137da3b4021b3e0ac20cd5d24f51827370b9acad


app/views/compute_resources_vms/form/ovirt/_network.html.erb:3:in `_app_views_compute_resources_vms_form_ovirt

__network_html_erb__3130231690440341772_75649300'

app/views/compute_resources_vms/form/_ovirt.html.erb:28:in `block (2 levels) in _app_views_compute_resources_v

ms_form__ovirt_html_erb___280622726615454600_74649360'

app/views/compute_resources_vms/form/_ovirt.html.erb:27:in `block in _app_views_compute_resources_vms_form__ov

irt_html_erb___280622726615454600_74649360'

app/views/compute_resources_vms/form/_ovirt.html.erb:26:in `_app_views_compute_resources_vms_form__ovirt_html_

erb___280622726615454600_74649360'

app/views/hosts/_compute.html.erb:5:in `block in _app_views_hosts__compute_html_erb___472968674354032972_74353

460'

app/views/hosts/_compute.html.erb:1:in `_app_views_hosts__compute_html_erb___472968674354032972_74353460'

app/views/hosts/_unattended.html.erb:2:in `_app_views_hosts__unattended_html_erb__1413311731205760309_74234520

'

app/views/hosts/_form.html.erb:91:in `block (2 levels) in _app_views_hosts__form_html_erb__3342426395099232991

_70125686802080'

app/helpers/layout_helper.rb:218:in `form_for'

app/views/hosts/_form.html.erb:7:in `block in _app_views_hosts__form_html_erb__3342426395099232991_70125686802

080'

app/models/taxonomy.rb:54:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:53:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:52:in `as_taxonomy'

app/views/hosts/_form.html.erb:5:in `_app_views_hosts__form_html_erb__3342426395099232991_70125686802080'

app/views/hosts/edit.html.erb:7:in `_app_views_hosts_edit_html_erb__3489572736405311226_70125686758820'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

 Reverting back to rbovirt 0.0.21 and applying the commit solved the issue. I'm using oVirt nightly, but the build is around the same date as 3.4.0 beta
#4 - 03/17/2014 02:36 PM - Dominic Cleal

- Blocked by Tracker #4582: Upgrade to fog > 1.20 added

#5 - 03/17/2014 02:36 PM - Dominic Cleal

- Status changed from Assigned to Pending

abenari: "@domcleal I have already fixed http://projects.theforeman.org/issues/4346 in fog, once fog gets a new release, we will be able to bump both

rbovirt and fog versions and this issue will be solved too."

https://github.com/fog/fog/pull/2767 it appears.

#6 - 03/18/2014 02:04 PM - Anonymous

- Related to Bug #4684: "undefined method `text' for nil:NilClass" error when trying to add ovirt 3.4 compute resource added

#7 - 03/24/2014 01:24 PM - Dominic Cleal

- Status changed from Pending to Closed

- Target version set to 1.9.0

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4

We now depend on rbovirt 0.0.24 in Foreman 1.5/nightlies, so this should now be fixed.  Please report if you find otherwise.

#8 - 05/07/2014 10:53 AM - Dominic Cleal

I'm releasing a 0.0.21-3 package into Foreman 1.4.4 which contains the patch mentioned in the original description, to help with oVirt 3.4 compat.
